---
title: IdleDeadline.didTimeout
slug: Web/API/IdleDeadline/didTimeout
tags:
  - API
  - Background Tasks
  - HTML DOM
  - IdleDeadline
  - NeedsExample
  - Property
  - Reference
  - Window
  - didTimeout
  - requestIdleCallback
---
<div>{{APIRef("Background Tasks")}}</div>

<p>The read-only <strong><code>didTimeout</code></strong> property on the <strong>{{domxref("IdleDeadline")}}</strong> interface is a Boolean value which indicates whether or not the idle callback is being invoked because the timeout interval specified when {{domxref("Window.requestIdleCallback()")}} was called has expired.</p>

<p>If <code>didTimeout</code> is <code>true</code>, the <code>IdleDeadline</code> object's {{domxref("IdleDeadline.timeRemaining", "timeRemaining()")}} method will return approximately 0.</p>

<p>Idle callbacks support the concept of a timeout in order to ensure that whatever task they're meant to perform actually happens, even if the user agent never has enough idle time available. Your callback will typically check the value of <code>didTimeout</code> if it needs to perform an action even if the browser is too busy to grant you the time; you should react by performing the needed task or, ideally, a minimal amount of work that can be done to keep things moving along, then schedule a new callback to try again to get the rest of the work done.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>timedOut</em> = <em>IdleDeadline</em>.didTimeout;</pre>

<h3 id="Value">Value</h3>

<p>A Boolean which is <code>true</code> if the callback is running due to the callback's timeout period elapsing or <code>false</code> if the callback is running because the user agent is idle and is offering time to the callback.</p>

<h2 id="Example">Example</h2>

<p>See our <a href="/en-US/docs/Web/API/Background_Tasks_API#Example">complete example</a> in the article <a href="/en-US/docs/Web/API/Background_Tasks_API">Cooperative Scheduling of Background Tasks API</a>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Background Tasks")}}</td>
   <td>{{Spec2("Background Tasks")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.IdleDeadline.didTimeout")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Background_Tasks_API">Collaborative Scheduling of Background Tasks</a></li>
 <li>{{domxref("IdleDeadline")}}</li>
 <li>{{domxref("Window.requestIdleCallback()")}}</li>
 <li>{{domxref("Window.cancelIdleCallback()")}}</li>
</ul>
